diff --git c/scala/collection/immutable/StreamViewLike$AbstractTransformed.class w/scala/collection/immutable/StreamViewLike$AbstractTransformed.class
index 00cc54092b..446c9b7225 100644
--- c/scala/collection/immutable/StreamViewLike$AbstractTransformed.class
+++ w/scala/collection/immutable/StreamViewLike$AbstractTransformed.class
@@ -8,7 +8,7 @@ public abstract #= # of #; //Transformed$class=class scala/collection/immutable/
 public abstract #= # of #; //AbstractTransformed=class scala/collection/immutable/StreamViewLike$AbstractTransformed of class scala/collection/immutable/StreamViewLike
 
 Compiled from "StreamViewLike.scala"
-public abstract class scala.collection.immutable.StreamViewLike$AbstractTransformed extends scala.collection.SeqViewLike$AbstractTransformed implements scala.collection.immutable.StreamViewLike$Transformed,scala.ScalaObject{
+public abstract class scala.collection.immutable.StreamViewLike$AbstractTransformed extends scala.collection.SeqViewLike$AbstractTransformed implements scala.collection.immutable.StreamViewLike$Transformed{
 public final scala.collection.immutable.StreamViewLike $outer;
   Signature: Lscala/collection/immutable/StreamViewLike;
 
diff --git c/scala/collection/immutable/StreamViewLike$Transformed.class w/scala/collection/immutable/StreamViewLike$Transformed.class
index e681d078e6..97425195ab 100644
--- c/scala/collection/immutable/StreamViewLike$Transformed.class
+++ w/scala/collection/immutable/StreamViewLike$Transformed.class
@@ -3,7 +3,7 @@ public abstract #= # of #; //Transformed=class scala/collection/SeqViewLike$Tran
 public abstract #= # of #; //Transformed=class scala/collection/immutable/StreamViewLike$Transformed of class scala/collection/immutable/StreamViewLike
 
 Compiled from "StreamViewLike.scala"
-public interface scala.collection.immutable.StreamViewLike$Transformed extends scala.collection.immutable.StreamView,scala.collection.SeqViewLike$Transformed,scala.ScalaObject{
+public interface scala.collection.immutable.StreamViewLike$Transformed extends scala.collection.immutable.StreamView,scala.collection.SeqViewLike$Transformed{
 public abstract java.lang.String toString();
   Signature: ()Ljava/lang/String;
 
diff --git c/scala/collection/immutable/StreamViewLike.class w/scala/collection/immutable/StreamViewLike.class
index 71a1a3748f..ee80f1f81a 100644
--- c/scala/collection/immutable/StreamViewLike.class
+++ w/scala/collection/immutable/StreamViewLike.class
@@ -18,7 +18,7 @@ public abstract #= # of #; //Transformed$class=class scala/collection/immutable/
 public abstract #= # of #; //AbstractTransformed=class scala/collection/immutable/StreamViewLike$AbstractTransformed of class scala/collection/immutable/StreamViewLike
 
 Compiled from "StreamViewLike.scala"
-public interface scala.collection.immutable.StreamViewLike extends scala.collection.SeqView,scala.collection.SeqViewLike,scala.ScalaObject{
+public interface scala.collection.immutable.StreamViewLike extends scala.collection.SeqView{
 public abstract java.lang.Object force(scala.collection.generic.CanBuildFrom);
   Signature: (Lscala/collection/generic/CanBuildFrom;)Ljava/lang/Object;
 
diff --git c/scala/collection/immutable/StringLike.class w/scala/collection/immutable/StringLike.class
index d37c416023..a90f803bdc 100644
--- c/scala/collection/immutable/StringLike.class
+++ w/scala/collection/immutable/StringLike.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "StringLike.scala"
-public interface scala.collection.immutable.StringLike extends scala.collection.IndexedSeqOptimized,scala.math.Ordered,scala.ScalaObject{
+public interface scala.collection.immutable.StringLike extends scala.collection.IndexedSeqOptimized,scala.math.Ordered{
 public abstract scala.collection.mutable.Builder newBuilder();
   Signature: ()Lscala/collection/mutable/Builder;
 
diff --git c/scala/collection/immutable/StringOps.class w/scala/collection/immutable/StringOps.class
index 7ac822e2a3..00be42c25c 100644
--- c/scala/collection/immutable/StringOps.class
+++ w/scala/collection/immutable/StringOps.class
@@ -2,7 +2,7 @@ InnerClasses:
 public abstract #= # of #; //$less$colon$less=class scala/Predef$$less$colon$less of class scala/Predef
 
 Compiled from "StringOps.scala"
-public final class scala.collection.immutable.StringOps extends java.lang.Object implements scala.collection.immutable.StringLike,scala.ScalaObject{
+public final class scala.collection.immutable.StringOps extends java.lang.Object implements scala.collection.immutable.StringLike{
 private final java.lang.String repr;
   Signature: Ljava/lang/String;
 
diff --git c/scala/collection/immutable/Traversable$.class w/scala/collection/immutable/Traversable$.class
index c6aa23f39a..08513eda0a 100644
--- c/scala/collection/immutable/Traversable$.class
+++ w/scala/collection/immutable/Traversable$.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //GenericCanBuildFrom=class scala/collection/generic/GenTraversableFactory$GenericCanBuildFrom of class scala/collection/generic/GenTraversableFactory
 
 Compiled from "Traversable.scala"
-public final class scala.collection.immutable.Traversable$ extends scala.collection.generic.GenTraversableFactory implements scala.collection.generic.TraversableFactory,scala.ScalaObject{
+public final class scala.collection.immutable.Traversable$ extends scala.collection.generic.GenTraversableFactory implements scala.collection.generic.TraversableFactory{
 public static final scala.collection.immutable.Traversable$ MODULE$;
   Signature: Lscala/collection/immutable/Traversable$;
 
diff --git c/scala/collection/immutable/Traversable.class w/scala/collection/immutable/Traversable.class
index 173e2932e1..331c3ce470 100644
--- c/scala/collection/immutable/Traversable.class
+++ w/scala/collection/immutable/Traversable.class
@@ -1,6 +1,6 @@
 
 Compiled from "Traversable.scala"
-public interface scala.collection.immutable.Traversable extends scala.collection.Traversable,scala.collection.generic.GenericTraversableTemplate,scala.collection.TraversableLike,scala.Immutable,scala.ScalaObject{
+public interface scala.collection.immutable.Traversable extends scala.collection.Traversable,scala.Immutable{
 public abstract scala.collection.generic.GenericCompanion companion();
   Signature: ()Lscala/collection/generic/GenericCompanion;
 
diff --git c/scala/collection/immutable/TreeMap.class w/scala/collection/immutable/TreeMap.class
index fbeff7f0a1..341afa0b0c 100644
--- c/scala/collection/immutable/TreeMap.class
+++ w/scala/collection/immutable/TreeMap.class
@@ -5,7 +5,7 @@ public abstract #= # of #; //NonEmpty=class scala/collection/immutable/RedBlack$
 public abstract #= # of #; //$less$colon$less=class scala/Predef$$less$colon$less of class scala/Predef
 
 Compiled from "TreeMap.scala"
-public class scala.collection.immutable.TreeMap extends scala.collection.immutable.RedBlack implements scala.collection.immutable.SortedMap,scala.collection.SortedMapLike,scala.collection.immutable.MapLike,scala.Serializable,scala.ScalaObject{
+public class scala.collection.immutable.TreeMap extends scala.collection.immutable.RedBlack implements scala.collection.immutable.SortedMap,scala.Serializable{
 private final int size;
   Signature: I
 
diff --git c/scala/collection/immutable/TreeSet.class w/scala/collection/immutable/TreeSet.class
index e283cd0ff8..a132584cc7 100644
--- c/scala/collection/immutable/TreeSet.class
+++ w/scala/collection/immutable/TreeSet.class
@@ -4,7 +4,7 @@ public final #= # of #; //Empty$=class scala/collection/immutable/RedBlack$Empty
 public abstract #= # of #; //$less$colon$less=class scala/Predef$$less$colon$less of class scala/Predef
 
 Compiled from "TreeSet.scala"
-public class scala.collection.immutable.TreeSet extends scala.collection.immutable.RedBlack implements scala.collection.immutable.SortedSet,scala.collection.SortedSetLike,scala.Serializable,scala.ScalaObject{
+public class scala.collection.immutable.TreeSet extends scala.collection.immutable.RedBlack implements scala.collection.immutable.SortedSet,scala.Serializable{
 public static final long serialVersionUID;
   Signature: J
 
diff --git c/scala/collection/immutable/Vector.class w/scala/collection/immutable/Vector.class
index 16d5565fbc..5d87a1f478 100644
--- c/scala/collection/immutable/Vector.class
+++ w/scala/collection/immutable/Vector.class
@@ -2,7 +2,7 @@ InnerClasses:
 public #= # of #; //GenericCanBuildFrom=class scala/collection/generic/GenTraversableFactory$GenericCanBuildFrom of class scala/collection/generic/GenTraversableFactory
 
 Compiled from "Vector.scala"
-public final class scala.collection.immutable.Vector extends scala.collection.AbstractSeq implements scala.collection.immutable.IndexedSeq,scala.collection.generic.GenericTraversableTemplate,scala.collection.IndexedSeqLike,scala.collection.immutable.VectorPointer,scala.Serializable,scala.collection.CustomParallelizable,scala.ScalaObject{
+public final class scala.collection.immutable.Vector extends scala.collection.AbstractSeq implements scala.collection.immutable.IndexedSeq,scala.collection.immutable.VectorPointer,scala.Serializable,scala.collection.CustomParallelizable{
 private final int startIndex;
   Signature: I
 
diff --git c/scala/collection/immutable/VectorBuilder.class w/scala/collection/immutable/VectorBuilder.class
index ed3dae1f78..63091bd660 100644
--- c/scala/collection/immutable/VectorBuilder.class
+++ w/scala/collection/immutable/VectorBuilder.class
@@ -1,6 +1,6 @@
 
 Compiled from "Vector.scala"
-public final class scala.collection.immutable.VectorBuilder extends java.lang.Object implements scala.collection.mutable.Builder,scala.collection.immutable.VectorPointer,scala.ScalaObject{
+public final class scala.collection.immutable.VectorBuilder extends java.lang.Object implements scala.collection.mutable.Builder,scala.collection.immutable.VectorPointer{
 private int blockIndex;
   Signature: I
 
diff --git c/scala/collection/immutable/VectorIterator.class w/scala/collection/immutable/VectorIterator.class
index 54e30af5c7..45e5c0b1ef 100644
--- c/scala/collection/immutable/VectorIterator.class
+++ w/scala/collection/immutable/VectorIterator.class
@@ -1,6 +1,6 @@
 
 Compiled from "Vector.scala"
-public class scala.collection.immutable.VectorIterator extends scala.collection.AbstractIterator implements scala.collection.Iterator,scala.collection.immutable.VectorPointer,scala.ScalaObject{
+public class scala.collection.immutable.VectorIterator extends scala.collection.AbstractIterator implements scala.collection.Iterator,scala.collection.immutable.VectorPointer{
 private final int _endIndex;
   Signature: I
 
diff --git c/scala/collection/immutable/WrappedString.class w/scala/collection/immutable/WrappedString.class
index 55e3e42ca4..043bd86591 100644
--- c/scala/collection/immutable/WrappedString.class
+++ w/scala/collection/immutable/WrappedString.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "WrappedString.scala"
-public class scala.collection.immutable.WrappedString extends scala.collection.AbstractSeq implements scala.collection.immutable.IndexedSeq,scala.collection.immutable.StringLike,scala.ScalaObject{
+public class scala.collection.immutable.WrappedString extends scala.collection.AbstractSeq implements scala.collection.immutable.IndexedSeq,scala.collection.immutable.StringLike{
 private final java.lang.String self;
   Signature: Ljava/lang/String;
 
diff --git c/scala/collection/mutable/AbstractBuffer.class w/scala/collection/mutable/AbstractBuffer.class
index aed9d84d1e..1fd5984112 100644
--- c/scala/collection/mutable/AbstractBuffer.class
+++ w/scala/collection/mutable/AbstractBuffer.class
@@ -1,6 +1,6 @@
 
 Compiled from "Buffer.scala"
-public abstract class scala.collection.mutable.AbstractBuffer extends scala.collection.mutable.AbstractSeq implements scala.collection.mutable.Buffer,scala.ScalaObject{
+public abstract class scala.collection.mutable.AbstractBuffer extends scala.collection.mutable.AbstractSeq implements scala.collection.mutable.Buffer{
 public scala.collection.generic.GenericCompanion companion();
   Signature: ()Lscala/collection/generic/GenericCompanion;
   Code:
diff --git c/scala/collection/mutable/AbstractIterable.class w/scala/collection/mutable/AbstractIterable.class
index 28db22381f..8a0e8c23e3 100644
--- c/scala/collection/mutable/AbstractIterable.class
+++ w/scala/collection/mutable/AbstractIterable.class
@@ -1,6 +1,6 @@
 
 Compiled from "Iterable.scala"
-public abstract class scala.collection.mutable.AbstractIterable extends scala.collection.AbstractIterable implements scala.collection.mutable.Iterable,scala.ScalaObject{
+public abstract class scala.collection.mutable.AbstractIterable extends scala.collection.AbstractIterable implements scala.collection.mutable.Iterable{
 public scala.collection.generic.GenericCompanion companion();
   Signature: ()Lscala/collection/generic/GenericCompanion;
   Code:
diff --git c/scala/collection/mutable/AbstractMap.class w/scala/collection/mutable/AbstractMap.class
index b1f6b0e76f..d0f526d62a 100644
--- c/scala/collection/mutable/AbstractMap.class
+++ w/scala/collection/mutable/AbstractMap.class
@@ -1,6 +1,6 @@
 
 Compiled from "Map.scala"
-public abstract class scala.collection.mutable.AbstractMap extends scala.collection.AbstractMap implements scala.collection.mutable.Map,scala.ScalaObject{
+public abstract class scala.collection.mutable.AbstractMap extends scala.collection.AbstractMap implements scala.collection.mutable.Map{
 public scala.collection.mutable.Map empty();
   Signature: ()Lscala/collection/mutable/Map;
   Code:
diff --git c/scala/collection/mutable/AbstractSeq.class w/scala/collection/mutable/AbstractSeq.class
index 39d503724a..932259f964 100644
--- c/scala/collection/mutable/AbstractSeq.class
+++ w/scala/collection/mutable/AbstractSeq.class
@@ -1,6 +1,6 @@
 
 Compiled from "Seq.scala"
-public abstract class scala.collection.mutable.AbstractSeq extends scala.collection.AbstractSeq implements scala.collection.mutable.Seq,scala.ScalaObject{
+public abstract class scala.collection.mutable.AbstractSeq extends scala.collection.AbstractSeq implements scala.collection.mutable.Seq{
 public scala.collection.generic.GenericCompanion companion();
   Signature: ()Lscala/collection/generic/GenericCompanion;
   Code:
diff --git c/scala/collection/mutable/AbstractSet.class w/scala/collection/mutable/AbstractSet.class
index 8036cf8007..8331c25d20 100644
--- c/scala/collection/mutable/AbstractSet.class
+++ w/scala/collection/mutable/AbstractSet.class
@@ -1,6 +1,6 @@
 
 Compiled from "Set.scala"
-public abstract class scala.collection.mutable.AbstractSet extends scala.collection.mutable.AbstractIterable implements scala.collection.mutable.Set,scala.ScalaObject{
+public abstract class scala.collection.mutable.AbstractSet extends scala.collection.mutable.AbstractIterable implements scala.collection.mutable.Set{
 public scala.collection.generic.GenericCompanion companion();
   Signature: ()Lscala/collection/generic/GenericCompanion;
   Code:
diff --git c/scala/collection/mutable/ArrayBuffer.class w/scala/collection/mutable/ArrayBuffer.class
index 2c28f0caac..2ad9142f1b 100644
--- c/scala/collection/mutable/ArrayBuffer.class
+++ w/scala/collection/mutable/ArrayBuffer.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "ArrayBuffer.scala"
-public class scala.collection.mutable.ArrayBuffer extends scala.collection.mutable.AbstractBuffer implements scala.collection.mutable.Buffer,scala.collection.generic.GenericTraversableTemplate,scala.collection.mutable.BufferLike,scala.collection.mutable.IndexedSeqOptimized,scala.collection.mutable.Builder,scala.collection.mutable.ResizableArray,scala.collection.CustomParallelizable,scala.Serializable,scala.ScalaObject{
+public class scala.collection.mutable.ArrayBuffer extends scala.collection.mutable.AbstractBuffer implements scala.collection.mutable.Buffer,scala.collection.mutable.Builder,scala.collection.mutable.ResizableArray,scala.collection.CustomParallelizable,scala.Serializable{
 public static final long serialVersionUID;
   Signature: J
 
diff --git c/scala/collection/mutable/ArrayBuilder.class w/scala/collection/mutable/ArrayBuilder.class
index 91545f0308..90e35e9258 100644
--- c/scala/collection/mutable/ArrayBuilder.class
+++ w/scala/collection/mutable/ArrayBuilder.class
@@ -11,7 +11,7 @@ public #= # of #; //ofDouble=class scala/collection/mutable/ArrayBuilder$ofDoubl
 public #= # of #; //ofBoolean=class scala/collection/mutable/ArrayBuilder$ofBoolean of class scala/collection/mutable/ArrayBuilder
 
 Compiled from "ArrayBuilder.scala"
-public abstract class scala.collection.mutable.ArrayBuilder extends java.lang.Object implements scala.collection.mutable.Builder,scala.Serializable,scala.ScalaObject{
+public abstract class scala.collection.mutable.ArrayBuilder extends java.lang.Object implements scala.collection.mutable.Builder,scala.Serializable{
 public static scala.collection.mutable.ArrayBuilder make(scala.reflect.ClassManifest);
   Signature: (Lscala/reflect/ClassManifest;)Lscala/collection/mutable/ArrayBuilder;
   Code:
diff --git c/scala/collection/mutable/ArrayLike.class w/scala/collection/mutable/ArrayLike.class
index 71dda5d590..7bda132cbc 100644
--- c/scala/collection/mutable/ArrayLike.class
+++ w/scala/collection/mutable/ArrayLike.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "ArrayLike.scala"
-public interface scala.collection.mutable.ArrayLike extends scala.collection.mutable.IndexedSeqOptimized,scala.ScalaObject{
+public interface scala.collection.mutable.ArrayLike extends scala.collection.mutable.IndexedSeqOptimized{
 public abstract scala.collection.IndexedSeq deep();
   Signature: ()Lscala/collection/IndexedSeq;
 
diff --git c/scala/collection/mutable/ArrayOps$ofBoolean.class w/scala/collection/mutable/ArrayOps$ofBoolean.class
index 13e7bf8805..413aaa89e9 100644
--- c/scala/collection/mutable/ArrayOps$ofBoolean.class
+++ w/scala/collection/mutable/ArrayOps$ofBoolean.class
@@ -4,7 +4,7 @@ public final #= # of #; //ofBoolean=class scala/collection/mutable/WrappedArray$
 public #= # of #; //ofBoolean=class scala/collection/mutable/ArrayBuilder$ofBoolean of class scala/collection/mutable/ArrayBuilder
 
 Compiled from "ArrayOps.scala"
-public class scala.collection.mutable.ArrayOps$ofBoolean extends scala.collection.mutable.ArrayOps implements scala.collection.mutable.ArrayLike,scala.ScalaObject{
+public class scala.collection.mutable.ArrayOps$ofBoolean extends scala.collection.mutable.ArrayOps implements scala.collection.mutable.ArrayLike{
 private final boolean[] repr;
   Signature: [Z
 
diff --git c/scala/collection/mutable/ArrayOps$ofByte.class w/scala/collection/mutable/ArrayOps$ofByte.class
index 541d86a9e9..fce1098251 100644
--- c/scala/collection/mutable/ArrayOps$ofByte.class
+++ w/scala/collection/mutable/ArrayOps$ofByte.class
@@ -4,7 +4,7 @@ public final #= # of #; //ofByte=class scala/collection/mutable/WrappedArray$ofB
 public #= # of #; //ofByte=class scala/collection/mutable/ArrayBuilder$ofByte of class scala/collection/mutable/ArrayBuilder
 
 Compiled from "ArrayOps.scala"
-public class scala.collection.mutable.ArrayOps$ofByte extends scala.collection.mutable.ArrayOps implements scala.collection.mutable.ArrayLike,scala.ScalaObject{
+public class scala.collection.mutable.ArrayOps$ofByte extends scala.collection.mutable.ArrayOps implements scala.collection.mutable.ArrayLike{
 private final byte[] repr;
   Signature: [B
 
diff --git c/scala/collection/mutable/ArrayOps$ofChar.class w/scala/collection/mutable/ArrayOps$ofChar.class
index 9d9dc8e077..7954272d93 100644
--- c/scala/collection/mutable/ArrayOps$ofChar.class
+++ w/scala/collection/mutable/ArrayOps$ofChar.class
@@ -4,7 +4,7 @@ public final #= # of #; //ofChar=class scala/collection/mutable/WrappedArray$ofC
 public #= # of #; //ofChar=class scala/collection/mutable/ArrayBuilder$ofChar of class scala/collection/mutable/ArrayBuilder
 
 Compiled from "ArrayOps.scala"
-public class scala.collection.mutable.ArrayOps$ofChar extends scala.collection.mutable.ArrayOps implements scala.collection.mutable.ArrayLike,scala.ScalaObject{
+public class scala.collection.mutable.ArrayOps$ofChar extends scala.collection.mutable.ArrayOps implements scala.collection.mutable.ArrayLike{
 private final char[] repr;
   Signature: [C
 
diff --git c/scala/collection/mutable/ArrayOps$ofDouble.class w/scala/collection/mutable/ArrayOps$ofDouble.class
index b734a152ef..374c8076c8 100644
--- c/scala/collection/mutable/ArrayOps$ofDouble.class
+++ w/scala/collection/mutable/ArrayOps$ofDouble.class
@@ -4,7 +4,7 @@ public final #= # of #; //ofDouble=class scala/collection/mutable/WrappedArray$o
 public #= # of #; //ofDouble=class scala/collection/mutable/ArrayBuilder$ofDouble of class scala/collection/mutable/ArrayBuilder
 
 Compiled from "ArrayOps.scala"
-public class scala.collection.mutable.ArrayOps$ofDouble extends scala.collection.mutable.ArrayOps implements scala.collection.mutable.ArrayLike,scala.ScalaObject{
+public class scala.collection.mutable.ArrayOps$ofDouble extends scala.collection.mutable.ArrayOps implements scala.collection.mutable.ArrayLike{
 private final double[] repr;
   Signature: [D
 
diff --git c/scala/collection/mutable/ArrayOps$ofFloat.class w/scala/collection/mutable/ArrayOps$ofFloat.class
index 23ab756ee2..6f59671c3d 100644
--- c/scala/collection/mutable/ArrayOps$ofFloat.class
+++ w/scala/collection/mutable/ArrayOps$ofFloat.class
@@ -4,7 +4,7 @@ public final #= # of #; //ofFloat=class scala/collection/mutable/WrappedArray$of
 public #= # of #; //ofFloat=class scala/collection/mutable/ArrayBuilder$ofFloat of class scala/collection/mutable/ArrayBuilder
 
 Compiled from "ArrayOps.scala"
-public class scala.collection.mutable.ArrayOps$ofFloat extends scala.collection.mutable.ArrayOps implements scala.collection.mutable.ArrayLike,scala.ScalaObject{
+public class scala.collection.mutable.ArrayOps$ofFloat extends scala.collection.mutable.ArrayOps implements scala.collection.mutable.ArrayLike{
 private final float[] repr;
   Signature: [F
 
diff --git c/scala/collection/mutable/ArrayOps$ofInt.class w/scala/collection/mutable/ArrayOps$ofInt.class
index 1fc1db4344..c04a913433 100644
--- c/scala/collection/mutable/ArrayOps$ofInt.class
+++ w/scala/collection/mutable/ArrayOps$ofInt.class
@@ -4,7 +4,7 @@ public final #= # of #; //ofInt=class scala/collection/mutable/WrappedArray$ofIn
 public #= # of #; //ofInt=class scala/collection/mutable/ArrayBuilder$ofInt of class scala/collection/mutable/ArrayBuilder
 
 Compiled from "ArrayOps.scala"
-public class scala.collection.mutable.ArrayOps$ofInt extends scala.collection.mutable.ArrayOps implements scala.collection.mutable.ArrayLike,scala.ScalaObject{
+public class scala.collection.mutable.ArrayOps$ofInt extends scala.collection.mutable.ArrayOps implements scala.collection.mutable.ArrayLike{
 private final int[] repr;
   Signature: [I
 
diff --git c/scala/collection/mutable/ArrayOps$ofLong.class w/scala/collection/mutable/ArrayOps$ofLong.class
index 0505addd35..a027bc788f 100644
--- c/scala/collection/mutable/ArrayOps$ofLong.class
+++ w/scala/collection/mutable/ArrayOps$ofLong.class
@@ -4,7 +4,7 @@ public final #= # of #; //ofLong=class scala/collection/mutable/WrappedArray$ofL
 public #= # of #; //ofLong=class scala/collection/mutable/ArrayBuilder$ofLong of class scala/collection/mutable/ArrayBuilder
 
 Compiled from "ArrayOps.scala"
-public class scala.collection.mutable.ArrayOps$ofLong extends scala.collection.mutable.ArrayOps implements scala.collection.mutable.ArrayLike,scala.ScalaObject{
+public class scala.collection.mutable.ArrayOps$ofLong extends scala.collection.mutable.ArrayOps implements scala.collection.mutable.ArrayLike{
 private final long[] repr;
   Signature: [J
 
diff --git c/scala/collection/mutable/ArrayOps$ofRef.class w/scala/collection/mutable/ArrayOps$ofRef.class
index 3c8da8f6a0..86e7b055e4 100644
--- c/scala/collection/mutable/ArrayOps$ofRef.class
+++ w/scala/collection/mutable/ArrayOps$ofRef.class
@@ -4,7 +4,7 @@ public final #= # of #; //ofRef=class scala/collection/mutable/WrappedArray$ofRe
 public #= # of #; //ofRef=class scala/collection/mutable/ArrayBuilder$ofRef of class scala/collection/mutable/ArrayBuilder
 
 Compiled from "ArrayOps.scala"
-public class scala.collection.mutable.ArrayOps$ofRef extends scala.collection.mutable.ArrayOps implements scala.collection.mutable.ArrayLike,scala.ScalaObject{
+public class scala.collection.mutable.ArrayOps$ofRef extends scala.collection.mutable.ArrayOps implements scala.collection.mutable.ArrayLike{
 private final java.lang.Object[] repr;
   Signature: [Ljava/lang/Object;
 
diff --git c/scala/collection/mutable/ArrayOps$ofShort.class w/scala/collection/mutable/ArrayOps$ofShort.class
index 1e20f035b8..5314b883f2 100644
--- c/scala/collection/mutable/ArrayOps$ofShort.class
+++ w/scala/collection/mutable/ArrayOps$ofShort.class
@@ -4,7 +4,7 @@ public final #= # of #; //ofShort=class scala/collection/mutable/WrappedArray$of
 public #= # of #; //ofShort=class scala/collection/mutable/ArrayBuilder$ofShort of class scala/collection/mutable/ArrayBuilder
 
 Compiled from "ArrayOps.scala"
-public class scala.collection.mutable.ArrayOps$ofShort extends scala.collection.mutable.ArrayOps implements scala.collection.mutable.ArrayLike,scala.ScalaObject{
+public class scala.collection.mutable.ArrayOps$ofShort extends scala.collection.mutable.ArrayOps implements scala.collection.mutable.ArrayLike{
 private final short[] repr;
   Signature: [S
 
diff --git c/scala/collection/mutable/ArrayOps$ofUnit.class w/scala/collection/mutable/ArrayOps$ofUnit.class
index cb65c0548e..d42dd36f61 100644
--- c/scala/collection/mutable/ArrayOps$ofUnit.class
+++ w/scala/collection/mutable/ArrayOps$ofUnit.class
@@ -4,7 +4,7 @@ public final #= # of #; //ofUnit=class scala/collection/mutable/WrappedArray$ofU
 public #= # of #; //ofUnit=class scala/collection/mutable/ArrayBuilder$ofUnit of class scala/collection/mutable/ArrayBuilder
 
 Compiled from "ArrayOps.scala"
-public class scala.collection.mutable.ArrayOps$ofUnit extends scala.collection.mutable.ArrayOps implements scala.collection.mutable.ArrayLike,scala.ScalaObject{
+public class scala.collection.mutable.ArrayOps$ofUnit extends scala.collection.mutable.ArrayOps implements scala.collection.mutable.ArrayLike{
 private final scala.runtime.BoxedUnit[] repr;
   Signature: [Lscala/runtime/BoxedUnit;
 
diff --git c/scala/collection/mutable/ArrayOps.class w/scala/collection/mutable/ArrayOps.class
index 7b275d9968..d6795c3b95 100644
--- c/scala/collection/mutable/ArrayOps.class
+++ w/scala/collection/mutable/ArrayOps.class
@@ -13,7 +13,7 @@ public final #= # of #; //IntIsIntegral$=class scala/math/Numeric$IntIsIntegral$
 public abstract #= # of #; //$less$colon$less=class scala/Predef$$less$colon$less of class scala/Predef
 
 Compiled from "ArrayOps.scala"
-public abstract class scala.collection.mutable.ArrayOps extends java.lang.Object implements scala.collection.mutable.ArrayLike,scala.collection.CustomParallelizable,scala.ScalaObject{
+public abstract class scala.collection.mutable.ArrayOps extends java.lang.Object implements scala.collection.mutable.ArrayLike,scala.collection.CustomParallelizable{
 public scala.collection.parallel.Combiner parCombiner();
   Signature: ()Lscala/collection/parallel/Combiner;
   Code:
diff --git c/scala/collection/mutable/ArraySeq.class w/scala/collection/mutable/ArraySeq.class
index 66c3f66ef5..b7b8b95f1d 100644
--- c/scala/collection/mutable/ArraySeq.class
+++ w/scala/collection/mutable/ArraySeq.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "ArraySeq.scala"
-public class scala.collection.mutable.ArraySeq extends scala.collection.mutable.AbstractSeq implements scala.collection.mutable.IndexedSeq,scala.collection.generic.GenericTraversableTemplate,scala.collection.mutable.IndexedSeqOptimized,scala.collection.CustomParallelizable,scala.Serializable,scala.ScalaObject{
+public class scala.collection.mutable.ArraySeq extends scala.collection.mutable.AbstractSeq implements scala.collection.mutable.IndexedSeq,scala.collection.mutable.IndexedSeqOptimized,scala.collection.CustomParallelizable,scala.Serializable{
 public static final long serialVersionUID;
   Signature: J
 
diff --git c/scala/collection/mutable/ArrayStack.class w/scala/collection/mutable/ArrayStack.class
index 7093763993..b79c4bc7e2 100644
--- c/scala/collection/mutable/ArrayStack.class
+++ w/scala/collection/mutable/ArrayStack.class
@@ -1,7 +1,7 @@
 InnerClasses:
 
 Compiled from "ArrayStack.scala"
-public class scala.collection.mutable.ArrayStack extends scala.collection.mutable.AbstractSeq implements scala.collection.mutable.Seq,scala.collection.mutable.SeqLike,scala.collection.generic.GenericTraversableTemplate,scala.collection.mutable.Cloneable,scala.collection.mutable.Builder,scala.Serializable,scala.ScalaObject,java.lang.Cloneable{
+public class scala.collection.mutable.ArrayStack extends scala.collection.mutable.AbstractSeq implements scala.collection.mutable.Seq,scala.collection.mutable.Builder,scala.Serializable,java.lang.Cloneable{
 public static final long serialVersionUID;
   Signature: J
 
diff --git c/scala/collection/mutable/BitSet$.class w/scala/collection/mutable/BitSet$.class
index 94a13c0611..e7b2e8ddfb 100644
--- c/scala/collection/mutable/BitSet$.class
+++ w/scala/collection/mutable/BitSet$.class
@@ -1,6 +1,6 @@
 
 Compiled from "BitSet.scala"
-public final class scala.collection.mutable.BitSet$ extends java.lang.Object implements scala.collection.generic.BitSetFactory,scala.ScalaObject,scala.Serializable{
+public final class scala.collection.mutable.BitSet$ extends java.lang.Object implements scala.collection.generic.BitSetFactory,scala.Serializable{
 public static final scala.collection.mutable.BitSet$ MODULE$;
   Signature: Lscala/collection/mutable/BitSet$;
 
diff --git c/scala/collection/mutable/BitSet.class w/scala/collection/mutable/BitSet.class
index cd23aa0448..0c6dcfa407 100644
--- c/scala/collection/mutable/BitSet.class
+++ w/scala/collection/mutable/BitSet.class
@@ -1,6 +1,6 @@
 
 Compiled from "BitSet.scala"
-public class scala.collection.mutable.BitSet extends scala.collection.mutable.AbstractSet implements scala.collection.SortedSet,scala.collection.BitSet,scala.collection.BitSetLike,scala.collection.mutable.SetLike,scala.Serializable,scala.ScalaObject{
+public class scala.collection.mutable.BitSet extends scala.collection.mutable.AbstractSet implements scala.collection.BitSet,scala.collection.mutable.SetLike,scala.Serializable{
 public static final long serialVersionUID;
   Signature: J
 
diff --git c/scala/collection/mutable/Buffer.class w/scala/collection/mutable/Buffer.class
index 4c13dbd873..33909a6ed9 100644
--- c/scala/collection/mutable/Buffer.class
+++ w/scala/collection/mutable/Buffer.class
@@ -1,6 +1,6 @@
 
 Compiled from "Buffer.scala"
-public interface scala.collection.mutable.Buffer extends scala.collection.mutable.Seq,scala.collection.generic.GenericTraversableTemplate,scala.collection.mutable.BufferLike,scala.ScalaObject,java.lang.Cloneable{
+public interface scala.collection.mutable.Buffer extends scala.collection.mutable.Seq,scala.collection.mutable.BufferLike,java.lang.Cloneable{
 public abstract scala.collection.generic.GenericCompanion companion();
   Signature: ()Lscala/collection/generic/GenericCompanion;
 
